Bug 568428 - Review Request: libldb - A schema-less, ldap like, API and database
Summary: Review Request: libldb - A schema-less, ldap like, API and database
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-25 17:48 UTC by Stephen Gallagher
Modified: 2011-01-18 06:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 16:43:58 UTC
ssorce: fedora-review+


Attachments (Terms of Use)

Description Stephen Gallagher 2010-02-25 17:48:13 UTC
Spec URL: http://fedorapeople.org/~sgallagh/ldb/libldb.spec
SRPM URL: http://fedorapeople.org/~sgallagh/ldb/libldb-0.9.6-21.fc12.src.rpm
Description: An extensible library that implements an LDAP like API to access remote LDAP servers, or use local tdb databases.

Additional information: the LDB is currently available in Fedora, however it is built as a subpackage of the samba4 SRPM. This new package request extracts the sources necessary to build the LDB on its own, so we do not need to carry in the entirety of samba4.

This package is a dependency for the SSSD, which will be packaged for EPEL5 soon.

Comment 1 Stephen Gallagher 2010-02-25 19:35:08 UTC
Simo alerted me that there was a newer upstream version of libldb available. Better to work from that.

Spec URL: http://fedorapeople.org/~sgallagh/ldb/libldb.spec
SRPM URL: http://fedorapeople.org/~sgallagh/ldb/libldb-0.9.10-23.fc12.src.rpm

It has been scratch-built in Koji successfully:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2014396

Comment 2 Simo Sorce 2010-02-25 19:45:41 UTC
rpmlint output

$ rpmlint libldb.spec 
libldb.spec: W: invalid-url Source0: libldb-0.9.10.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 3 Simo Sorce 2010-02-25 19:53:19 UTC
Looks like the prepping of the %install step does not conform to guidelines:
http://fedoraproject.org/wiki/Packaging/Guidelines

Removal of the build root is absent (required for EPEL, not required for Fedora > 10

 %{buildroot} should be preferred to $RPM_BUILD_ROOT so that variables are used consistently throughout the spec file.

The rest looks good to me.

Comment 4 Simo Sorce 2010-02-25 19:59:34 UTC
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability)

the devel package seem to be failing this rule.

Comment 5 Stephen Gallagher 2010-02-25 20:09:50 UTC
Buildroot, %install and pkgconfig concerns have been addressed.


Spec URL: http://fedorapeople.org/~sgallagh/ldb/libldb.spec
SRPM URL: http://fedorapeople.org/~sgallagh/ldb/libldb-0.9.10-24.fc12.src.rpm

It has been scratch-built in Koji successfully:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2014517

Comment 6 Nalin Dahyabhai 2010-02-25 20:56:12 UTC
(In reply to comment #4)
> MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
> directory ownership and usability)
> 
> the devel package seem to be failing this rule.    

To be fair, RPM's been inserting this automatically since F10.

Comment 7 Simo Sorce 2010-02-25 21:41:26 UTC
(In reply to comment #6)
> (In reply to comment #4)
> > MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
> > directory ownership and usability)
> > 
> > the devel package seem to be failing this rule.    
> 
> To be fair, RPM's been inserting this automatically since F10.    

Sorry, docs still say it is required so I simply applied the rule :)

Comment 8 Simo Sorce 2010-02-25 22:37:53 UTC
forgot to set review flag, doing now

Comment 9 Simo Sorce 2010-03-08 18:59:58 UTC
package looks good.

Comment 10 Stephen Gallagher 2010-03-08 19:08:14 UTC
New Package CVS Request
=======================
Package Name: libldb
Short Description: A schema-less, ldap like, API and database
Owners: sgallagh
Branches: EL-5
InitialCC:

Special requests: this package requires an EL-5 buildroot override to include libtalloc, libdtdb and libtevent (all of which are currently still in EL-5 updates-testing)

Comment 11 Kevin Fenzi 2010-03-09 06:17:52 UTC
CVS done (by process-cvs-requests.py).

Please remember to dead.package and follow the end of life procedure if you don't 
want to ever build this on devel. 

For the overrides, please file a rel-eng trac ticket with what you need in 
the override. Make sure to use the EPEL component.

Comment 12 Stephen Gallagher 2011-01-17 17:00:40 UTC
Package Change Request
======================
Package Name: libldb
New Branches: devel
Owners: sgallagh, simo
InitialCC: ssorce@redhat.com


This package currently exists only as a backport for EL5, because it was
previously carried as a subpackage of Samba. Upstream is now releasing this
library independently, so we'd like to get it into rawhide. Rawhide was
dead.packaged, retired and orphaned previously.

Comment 13 Jens Petersen 2011-01-18 06:52:29 UTC
I think that needs to go through a fresh package review.


Note You need to log in before you can comment on or make changes to this bug.